lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andi Vajda <va...@osafoundation.org>
Subject Re: Lucene and Java 1.5
Date Sat, 27 May 2006 23:35:52 GMT

On Sat, 27 May 2006, Chuck Williams wrote:

> Andi Vajda wrote on 05/27/2006 12:01 PM:
>>
>> On Sat, 27 May 2006, karl wettin wrote:
>>
>>> How about a binary 1.4-target distribution?
>>
>> That's a great idea that might solve the problem as long as the
>> resulting bytecode is compatible with 1.4 and with gcj.
>>
>
> This would preclude use of the 1.5 class library, which contains many
> important new facilities. Repeating my earlier question, why should a
> platform that is 2 years behind for java expect to be at the latest and
> greatest level for lucene? I'd propose 2.0 (+ branched patches) be the
> 1.4 release distribution, with 2.1 free to move up to 1.5.

I'm not too concerned with the 1.5 class libraries not yet supported by gcj 
because, were the Java Lucene core to depend on them, I could patch those in 
from other class libraries written in C/C++ or python.

What worries me the most is the use of new 1.5 language features for which 
there are no workarounds other than widespread patches bending APIs (as 
opposed to point patches to plug a runtime library hole).

Andi..

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message